View subscriptions

Returns the payment information and schedule for one or more existing subscriptions (or payment plans) based on the specified filter parameters.

Try It

To use the Try It feature for this endpoint, you can use the credentials for your Sandbox API user.

You can also use the following test account. Copy the value and paste it into the appropriate space in the Try It section to the right. username: [email protected] password: JZdzoXpdDeH6VA

You do not have to include any query parameters, but you can include a value for how many results to return (limit), which Nexio account ID to limit results to (accountId), and whether to return only active subscriptions or payment plans (active=true).

Request parameters

  • limit
  • accountId
  • active

Response parameters

  • customerRef
  • active
  • accountId
  • id
  • payment
  • payment.tokenex
  • payment.tokenex.token
  • payment.tokenex.requestToken
  • payment.tokenex.firstSix
  • payment.tokenex.lastFour
  • payment.data
  • payment.data.amount
  • payment.data.currency
  • payment.data.customer
  • payment.data.customer.customerRef
  • payment.isPreExistingToken
  • payment.isProcessedFromServer
  • payment.subscriptionMetadata
  • payment.subscriptionMetadata.subscriptionId
  • payment.subscriptionMetadata.accountId
  • payment.subscriptionMetadata.isSubscriptionService
  • payment.clientIp
  • schedule
  • schedule.interval
  • schedule.intervalCount
  • schedule.initialBalance
  • schedule.balance
  • schedule.duration
  • schedule.dateInitialBillingEnd
  • schedule.intialBillingAmount
  • schedule.dateCancelAfter
  • schedule.scheduleType
  • userName
  • dateCreated
  • dateLastModified
  • dateLastRun
  • dateNextRun
  • paymentResult
  • paymentResult.gatewayProcessingError
  • paymentResult.message
  • paymentResult.gatewayResponse
  • paymentResult.gatewayResponse.gatewayName
  • paymentResult.gatewayResponse.refNumber
  • paymentResult.kountResults
  • paymentResult.kountResults.result
  • paymentResult.kountResults.message
  • paymentResult.merchantId
  • lastPaymentStatus
  • lastSuccessfulPaymentDate
  • exp
Query Params
string

Specifies the maximum number of subscriptions (or payment plans) to return in a single API response. For example, if you set limit=20, the API returns up to 20 subscriptions. By default, if you do not include this query parameter, the system returns all possible records.

string

Specifies to limit results to the user who created the subscription or payment plan. This value is the Nexio account number of the user. You can get this value from the response for the Who am I endpoint. By default, if you do not include this query parameter, the system returns all subscriptions and payment plans that for the merchant account associated with the API credentials used.

boolean

Specifies whether to include only active subscriptions (or payment plans) or only inactive ones. By default, if you do not include this query parameter, the system returns active and inactive subscriptions and payment plans.

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json